asn1-types-0.3.4: ASN.1 types

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.ASN1.Types.String

Description

Different String types available in ASN1

Synopsis

- data ASN1StringEncoding
  - = IA5
  - | UTF8
  - | General
  - | Graphic
  - | Numeric
  - | Printable
  - | VideoTex
  - | Visible
  - | T61
  - | UTF32
  - | Character
  - | BMP
- data ASN1CharacterString = ASN1CharacterString {
  - characterEncoding :: ASN1StringEncoding
  - getCharacterStringRawData :: ByteString
  }
- asn1CharacterString :: ASN1StringEncoding -> String -> ASN1CharacterString
- asn1CharacterToString :: ASN1CharacterString -> Maybe String

# Documentation

data ASN1StringEncoding Source #

Define all possible ASN1 String encoding.

Constructors

IA5 | 128 characters equivalent to the ASCII alphabet
UTF8 | UTF8
General | all registered graphic and character sets (see ISO 2375) plus SPACE and DELETE.
Graphic | all registered G sets and SPACE
Numeric | encoding containing numeric [0-9] and space
Printable | printable [a-z] [A-Z] [()+,-.?:/=] and space.
VideoTex | CCITT's T.100 and T.101 character sets
Visible | International ASCII printing character sets
T61 | teletext
UTF32 | UTF32
Character | Character
BMP | UCS2

#### Instances

Instances details

Show ASN1StringEncoding Source # |
Instance details Defined in Data.ASN1.Types.String Methods showsPrec :: Int -> ASN1StringEncoding -> ShowS Source # show :: ASN1StringEncoding -> String Source # showList :: [ASN1StringEncoding] -> ShowS Source #
Eq ASN1StringEncoding Source # |
Instance details Defined in Data.ASN1.Types.String Methods (==) :: ASN1StringEncoding -> ASN1StringEncoding -> Bool Source # (/=) :: ASN1StringEncoding -> ASN1StringEncoding -> Bool Source #
Ord ASN1StringEncoding Source # |

Instance details

Defined in Data.ASN1.Types.String

Methods

compare :: ASN1StringEncoding -> ASN1StringEncoding -> Ordering Source #

(<) :: ASN1StringEncoding -> ASN1StringEncoding -> Bool Source #

(<=) :: ASN1StringEncoding -> ASN1StringEncoding -> Bool Source #

(>) :: ASN1StringEncoding -> ASN1StringEncoding -> Bool Source #

(>=) :: ASN1StringEncoding -> ASN1StringEncoding -> Bool Source #

max :: ASN1StringEncoding -> ASN1StringEncoding -> ASN1StringEncoding Source #

min :: ASN1StringEncoding -> ASN1StringEncoding -> ASN1StringEncoding Source #

data ASN1CharacterString Source #

ASN1 Character String with encoding

Constructors

ASN1CharacterString |

Fields

- characterEncoding :: ASN1StringEncoding
- getCharacterStringRawData :: ByteString

#### Instances

Instances details

IsString ASN1CharacterString Source # |
Instance details Defined in Data.ASN1.Types.String Methods fromString :: String -> ASN1CharacterString Source #
Show ASN1CharacterString Source # |
Instance details Defined in Data.ASN1.Types.String Methods showsPrec :: Int -> ASN1CharacterString -> ShowS Source # show :: ASN1CharacterString -> String Source # showList :: [ASN1CharacterString] -> ShowS Source #
Eq ASN1CharacterString Source # |
Instance details Defined in Data.ASN1.Types.String Methods (==) :: ASN1CharacterString -> ASN1CharacterString -> Bool Source # (/=) :: ASN1CharacterString -> ASN1CharacterString -> Bool Source #
Ord ASN1CharacterString Source # |

Instance details

Defined in Data.ASN1.Types.String

Methods

compare :: ASN1CharacterString -> ASN1CharacterString -> Ordering Source #

(<) :: ASN1CharacterString -> ASN1CharacterString -> Bool Source #

(<=) :: ASN1CharacterString -> ASN1CharacterString -> Bool Source #

(>) :: ASN1CharacterString -> ASN1CharacterString -> Bool Source #

(>=) :: ASN1CharacterString -> ASN1CharacterString -> Bool Source #

max :: ASN1CharacterString -> ASN1CharacterString -> ASN1CharacterString Source #

min :: ASN1CharacterString -> ASN1CharacterString -> ASN1CharacterString Source #

asn1CharacterString :: ASN1StringEncoding -> String -> ASN1CharacterString Source #

encode a string into a character string

asn1CharacterToString :: ASN1CharacterString -> Maybe String Source #

try to decode an `ASN1CharacterString` to a String